/// <reference types="react" />
import { IUploadFileItem, IUploadListProps, INormalUploadItemProps } from '../../types';
import AbstractUploadList from '../AbstractList';
import { PaginationChangeHandler } from '../../../pagination/impl/BasePagination';
interface INormalUploadListState {
    current: number;
}
export default class NormalUploadList extends AbstractUploadList<IUploadFileItem, INormalUploadItemProps, IUploadListProps, INormalUploadListState> {
    state: INormalUploadListState;
    componentDidUpdate(prevProps: IUploadListProps): void;
    get displayListRange(): number[];
    getRenderFileList(): Array<IUploadFileItem>;
    onFileListSortChange: (list: Array<IUploadFileItem>) => void;
    onPaginationChange: PaginationChangeHandler;
    renderPagination(): JSX.Element;
    renderFileItem: (item: IUploadFileItem) => React.ReactNode;
    render(): JSX.Element;
}
export {};
